GpgFrontend::UI::KeyServerImportDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeyServerImportDialog:
Collaboration diagram for GpgFrontend::UI::KeyServerImportDialog:

## Public Slots

void | SlotImport (const KeyIdArgsListPtr &keys)
void | SlotImport (std::vector< std::string > key_ids_list, std::string keyserver_url)

## Signals

void | SignalKeyImported ()

## Public Member Functions

| KeyServerImportDialog (bool automatic, QWidget *parent)
| Construct a new Key Server Import Dialog object. More...
| KeyServerImportDialog (QWidget *parent)
| Construct a new Key Server Import Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots

void | slot_import ()
| import key(s) for the key table selection More...
void | slot_search_finished (QNetworkReply::NetworkError reply, QByteArray buffer)
void | slot_import_finished (QNetworkReply::NetworkError error, QByteArray buffer)
void | slot_search ()

## Private Member Functions

void | create_keys_table ()
| Create a keys table object. More...
void | set_message (const QString &text, bool error)
| Set the message object. More...
void | import_keys (ByteArrayPtr in_data)
void | set_loading (bool status)
| Set the loading object. More...
QPushButton * | create_button (const QString &text, const char *member)
| Create a button object. More...
QComboBox * | create_comboBox ()
| Create a comboBox object. More...

## Private Attributes

bool | m_automatic_ = false
QLineEdit * | search_line_edit_ {}
QComboBox * | key_server_combo_box_ {}
QProgressBar * | waiting_bar_
QLabel * | search_label_ {}
QLabel * | key_server_label_ {}
QLabel * | message_ {}
QLabel * | icon_ {}
QPushButton * | close_button_ {}
QPushButton * | import_button_ {}
QPushButton * | search_button_ {}
QTableWidget * | keys_table_ {}

## Constructor & Destructor Documentation

## KeyServerImportDialog() [1/2]

GpgFrontend::UI::KeyServerImportDialog::KeyServerImportDialog | ( | bool | automatic,
|  | QWidget * | parent
| ) |  |

Construct a new Key Server Import Dialog object.

Parameters

  automatic |
  parent |

References create_comboBox(), create_keys_table(), GpgFrontend::UI::SignalStation::GetInstance(), and slot_import().

## KeyServerImportDialog() [2/2]

GpgFrontend::UI::KeyServerImportDialog::KeyServerImportDialog | ( | QWidget * | parent | ) |

explicit

Construct a new Key Server Import Dialog object.

Parameters

  parent |

References create_comboBox().

## Member Function Documentation

## create_button()

QPushButton* GpgFrontend::UI::KeyServerImportDialog::create_button | ( | const QString & | text,
|  | const char * | member
| ) |  |

private

Create a button object.

Parameters

  text |
  member |

Returns
  QPushButton*

## create_comboBox()

QComboBox * GpgFrontend::UI::KeyServerImportDialog::create_comboBox | ( |  | ) |

private

Create a comboBox object.

Returns
  QComboBox*

References GpgFrontend::UI::SettingsObject::Check().

Referenced by KeyServerImportDialog().

## create_keys_table()

void GpgFrontend::UI::KeyServerImportDialog::create_keys_table | ( |  | ) |

private

Create a keys table object.

References slot_import().

Referenced by KeyServerImportDialog().

## import_keys()

void GpgFrontend::UI::KeyServerImportDialog::import_keys | ( | ByteArrayPtr | in_data | ) |

private

Parameters

  in_data |

References GpgFrontend::SingletonFunctionObject< GpgKeyImportExporter >::GetInstance(), and GpgFrontend::GpgKeyImportExporter::ImportKey().

Referenced by slot_import_finished().

## set_loading()

void GpgFrontend::UI::KeyServerImportDialog::set_loading | ( | bool | status | ) |

private

Set the loading object.

Parameters

  status |

## set_message()

void GpgFrontend::UI::KeyServerImportDialog::set_message | ( | const QString & | text,
|  | bool | error
| ) |  |

private

Set the message object.

Parameters

  text |
  error |

Referenced by slot_import_finished().

## slot_import

void GpgFrontend::UI::KeyServerImportDialog::slot_import | ( |  | ) |

privateslot

import key(s) for the key table selection

References SlotImport().

Referenced by create_keys_table(), and KeyServerImportDialog().

## slot_import_finished

void GpgFrontend::UI::KeyServerImportDialog::slot_import_finished | ( | QNetworkReply::NetworkError | error,
|  | QByteArray | buffer
| ) |  |

privateslot

Parameters

  keyid |

References import_keys(), and set_message().

Referenced by SlotImport().

## SlotImport [1/2]

void GpgFrontend::UI::KeyServerImportDialog::SlotImport | ( | const KeyIdArgsListPtr & | keys | ) |

slot

Parameters

  keys |

References GpgFrontend::UI::SettingsObject::Check().

Referenced by slot_import().

## SlotImport [2/2]

void GpgFrontend::UI::KeyServerImportDialog::SlotImport | ( | std::vector< std::string > | key_ids_list,
|  | std::string | keyserver_url
| ) |  |

slot

Parameters

  keyIds |
  keyserverUrl |

References GpgFrontend::SingletonFunctionObject< TaskRunnerGetter >::GetInstance(), GpgFrontend::UI::KeyServerImportTask::SignalKeyServerImportResult(), and slot_import_finished().

The documentation for this class was generated from the following files:

- src/ui/dialog/import_export/KeyServerImportDialog.h
- src/ui/dialog/import_export/KeyServerImportDialog.cpp